Subject: [sup-talk] Sup error when saving mails using maildir

From: [email-masked] (Nicolas Pouillard)
Date: Mon, 19 Nov 2007 13:15:18 +0100

I  was  trying  to switch to a maildir with all my mails, so I marked them and
read and archive them all. However I hit this error while saving.

Any idea?

Here is the backtrace...

The problem was: 'trying to delete non-corresponding entry 3321 with index message-id "3DB8D934-72AE-11D9-A8FB-000A95DBE2C4 at feydakins.org" and parameter message id "20050206210231.GA3364 at yargla.epita.fr"' (error type RuntimeError)
A backtrace follows:
/opt/local/lib/ruby/gems/1.8/gems/sup-0.2/lib/sup/index.rb:164:in `sync_message': trying to delete non-corresponding entry 3321 with index message-id "3DB8D934-72AE-11D9-A8FB-000A95DBE2C4 at feydakins.org" and parameter message id "20050206210231.GA3364 at yargla.epita.fr" (RuntimeError)
	from /opt/local/lib/ruby/gems/1.8/gems/sup-0.2/lib/sup/util.rb:485:in `send'
	from /opt/local/lib/ruby/gems/1.8/gems/sup-0.2/lib/sup/util.rb:485:in `method_missing'
	from /opt/local/lib/ruby/gems/1.8/gems/sup-0.2/lib/sup/message.rb:126:in `save'
	from /opt/local/lib/ruby/gems/1.8/gems/sup-0.2/lib/sup/thread.rb:110:in `save'
	from /opt/local/lib/ruby/gems/1.8/gems/sup-0.2/lib/sup/thread.rb:66:in `each'
	from /opt/local/lib/ruby/gems/1.8/gems/sup-0.2/lib/sup/thread.rb:166:in `each_with_stuff'
	from /opt/local/lib/ruby/gems/1.8/gems/sup-0.2/lib/sup/thread.rb:164:in `each_with_stuff'
	from /opt/local/lib/ruby/gems/1.8/gems/sup-0.2/lib/sup/thread.rb:166:in `each_with_stuff'
	 ... 15 levels...
	from /opt/local/lib/ruby/gems/1.8/gems/sup-0.2/lib/sup/buffer.rb:203:in `handle_input'
	from /opt/local/lib/ruby/gems/1.8/gems/sup-0.2/bin/sup:210
	from /opt/local/bin/sup:18:in `load'
	from /opt/local/bin/sup:18

-- 
Nicolas Pouillard aka Ertai